TOUPPER(3)

NAME
toupper, tolower - convert letter to upper or lower case

SYNOPSIS
#include <ctype.h>

int toupper (int c);
int tolower (int c);

DESCRIPTION
toupper() converts the letter c to upper case, if possible.

tolower() converts the letter c to lower case, if possible.

RETURN VALUE
The value returned is that of the converted letter, or c if the conversion was not possible.

CONFORMING TO
ANSI - C, BSD 4.3

BUGS
The details of what constitutes an uppercase or lowercase letter depend on the current locale. For example, the default "C" locale does not know about umlauts, so no conversion is done for them.

In some non - English locales, there are lowercase letters with no corresponding uppercase equivalent; the German sharp s is one example.

SEE ALSO
isalpha(3), setlocale(3), locale(7)